#ifndef Alarm_H
#define Alarm_H

#include "Alarm_global.h"
#include "Client.h"

class ALARM_EXPORT Alarm:public Client
{
public:
    Alarm();
    ~Alarm();
    virtual void Run(const ConsumerInfo& ci);
    virtual void OnData(const QString& user, const QString& key, const QVariant& val);
    virtual void setLoader(QLibrary*);
private:
    virtual void run();
};

extern "C" {//一定要添加上
ALARM_EXPORT Client* instance();
ALARM_EXPORT void destroy(Client*);
}

#endif // Alarm_H
